Skip to main content
Use these endpoints to retrieve aerial imagery layers (tassel count, stand count, NDVI, RGB) from Sentera and upload RGB layers to Climate FieldView. For conceptual background, see Layers.
The Layers API is currently in beta. Endpoints, request/response schemas, and behavior may change without notice.

Base URL

https://api.withleaf.io/services/beta/api

Endpoints

EndpointMethodPath
Get all layers for a Leaf userGET/users/{leafUserId}/layers
Upload a layer to Climate FieldViewPOST/users/{leafUserId}/layers/climateFieldView

Get all layers for a Leaf user

GET /users/{leafUserId}/layers Returns a paginated list of layers that belong to a Leaf user. Layers are sourced from the Sentera integration and include tassel count, stand count, NDVI, and RGB imagery.

Parameters

ParameterTypeDescription
typestringFilter by layer type: TASSEL_COUNT, STAND_COUNT, NVDI, or RGB.
pageintegerPage number (default 0).
sizeintegerPage size (default 20, max 100).
The default page size is 20 when page and size are not set.

Request

curl -X GET \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  'https://api.withleaf.io/services/beta/api/users/{leafUserId}/layers'

Response

[
  {
    "id": "96a098e0-f1d0-47e8-968d-9d55d54da114",
    "leafUserId": "055c4d61-b1e2-4fa9-873c-23433a11c271",
    "apiOwnerUsername": "yourUsername",
    "type": "RGB",
    "origin": "PROVIDER_POOLED",
    "provider": "Sentera",
    "providerLayerId": "vnoyi6a_FI_edovSouthernM_CV_prod_82f9b3d6_211018_151052",
    "providerFieldId": "ycof8zg_AS_edovSouthernM_CV_prod_a025df2d_211015_200456",
    "name": "QuickTile RGB",
    "size": 159135298,
    "md5": "7ff746c6f5f06fc25b46420328402bed",
    "contentS3": "URL",
    "downloadContentS3": "URL",
    "createdTime": "2022-02-16T21:40:20.257Z",
    "leafFieldIds": [
      "f43ca7cc-c73a-43b9-8685-070b03876475",
      "edcf7b8b-913e-4e53-a0b5-91aa16699dfc"
    ]
  }
]

Upload a layer to Climate FieldView

POST /users/{leafUserId}/layers/climateFieldView Sends a layer file to Climate FieldView using the Leaf user’s Climate FieldView credentials. Currently only true-color image (RGB) files are supported. The file must meet the following Climate FieldView requirements:
  • Multi-band GeoTIFF with 24-bit composite values (3 bands: Red, Green, Blue)
  • Coordinate Reference System must be UTM with WGS84 datum
  • Required GDAL_METADATA entries embedded in the GeoTIFF:
    • acquisitionStartDate — ISO 8601 date
    • acquisitionEndDate — ISO 8601 date
    • isCalibrated — boolean
Although Climate FieldView supports files up to 500 MB, this endpoint currently accepts files up to 5 MB.
Uploaded layers are not stored on the Leaf side and are only available directly in Climate FieldView.

Parameters

ParameterTypeDescription
uploadTypestringRequired. Must be RGB.

Request

curl -X POST \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -F 'file=@rgb.tif' \
  'https://api.withleaf.io/services/beta/api/users/{leafUserId}/layers/climateFieldView?uploadType=RGB'

Response

{
  "id": "86fb8bea-1670-48ea-a85d-fbdf6feefb35",
  "name": "LayerName"
}
Last modified on March 19, 2026